<?php
/**
 * Extends WordPress Embed.
 *
 * @package SplendorStudio\Framework\Templates\Fragments
 *
 * @since   1.0.0
 */

// Filter.
Fancify_Lite_Actions::add_smart_action( 'embed_oembed_html', 'fancify_lite_embed_oembed' );
/**
 * Add markup to embed.
 *
 * @since 1.0.0
 *
 * @param string $html The embed HTML.
 *
 * @return string The modified embed HTML.
 */
function fancify_lite_embed_oembed( $html ) {
	$output = fancify_lite_open_markup( 'fancify_lite_embed_oembed', 'div', 'class=fancify-oembed' );

		$output .= $html;

	$output .= fancify_lite_close_markup( 'fancify_lite_embed_oembed', 'div' );

	return $output;
}
